Search Unity

  1. Unity 6 Preview is now available. To find out what's new, have a look at our Unity 6 Preview blog post.
    Dismiss Notice
  2. Unity is excited to announce that we will be collaborating with TheXPlace for a summer game jam from June 13 - June 19. Learn more.
    Dismiss Notice
  3. Dismiss Notice

Question CS0618

Discussion in 'Scripting' started by UAR777, Sep 5, 2020.

  1. UAR777

    UAR777

    Joined:
    Jul 2, 2013
    Posts:
    35
    Hi

    I'm getting 12 warnings for the Bolt plugin. How to rectify? Or should I just suppress these warnings.

    Severity Code Description Project File Line Suppression State
    Warning CS0618 'ScriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 now that legacy mono has been removed' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 44 Active
    Warning CS0618 'ScriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 now that legacy mono has been removed' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 59 Active
    Warning CS0618 'ScriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 now that legacy mono has been removed' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 74 Active
    Warning CS0618 'PlayerSettings.scriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 due to the removal of legacy mono' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 26 Active
    Warning CS0618 'PlayerSettings.scriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 due to the removal of legacy mono' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 35 Active
    Warning CS0618 'PlayerSettings.scriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 due to the removal of legacy mono' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 38 Active
    Warning CS0618 'ScriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 now that legacy mono has been removed' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 48 Active
    Warning CS0618 'ScriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 now that legacy mono has been removed' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 51 Active
    Warning CS0618 'ScriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 now that legacy mono has been removed' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 63 Active
    Warning CS0618 'ScriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 now that legacy mono has been removed' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 66 Active
    Warning CS0618 'ScriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 now that legacy mono has been removed' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 76 Active
    Warning CS0618 'ScriptingRuntimeVersion' is obsolete: 'ScriptingRuntimeVersion has been deprecated in 2019.3 now that legacy mono has been removed' Assembly-CSharp-Editor C:\Users\Umar\OneDrive\Documents\Unity Projects\Pyramidical_Android_Final\Cool Shooter\Assets\Install Bolt\Editor\InstallBoltMenuItem.cs 76 Active

    Thanks
     
  2. PraetorBlue

    PraetorBlue

    Joined:
    Dec 13, 2012
    Posts:
    7,947
    Have you tried updating the version of the bolt package in your project?
     
  3. UAR777

    UAR777

    Joined:
    Jul 2, 2013
    Posts:
    35
    Yes I have the latest version installed